<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html"
	xmlns:ui="jakarta.faces.facelets"
	xmlns:bw="http://www.scc.kit.edu/bwfacelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:of="http://omnifaces.org/functions">
<head>
<title></title>
</head>
<body>
<f:view>
	<f:metadata>
		<f:viewParam name="serviceId" value="#{serviceProjectAdminIndexBean.serviceId}"/>
		<f:event type="jakarta.faces.event.PreRenderViewEvent"
            listener="#{serviceProjectAdminIndexBean.preRenderView}" />
	</f:metadata>

<ui:composition template="/template/default.xhtml">
	<ui:param name="title" value="#{messages.title}"/>

	<ui:define name="content">
	<h:form id="form" class="full form">

		<h2><h:outputText value="#{messages['project.projects']}"/></h2>

		<p:dataTable id="dataTable" var="pia" value="#{serviceProjectAdminIndexBean.projectServiceList}" paginator="true" rows="15">
			<p:column>
				<f:facet name="header">
					<h:outputText value="#{messages.id}" />
				</f:facet>
				<h:outputText value="#{pia.project.id}" />
			</p:column>
			<p:column sortBy="#{pia.project.shortName}" filterBy="#{pia.project.shortName}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.short_name}" />
				</f:facet>
				<h:outputText value="#{pia.project.shortName}" />
			</p:column>
			<p:column sortBy="#{pia.project.name}" filterBy="#{pia.project.name}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.name}" />
				</f:facet>
				<h:link outcome="show-project.xhtml" value="#{pia.project.name}">
		      		<f:param name="id" value="#{pia.project.id}"/>
		      		<f:param name="sid" value="#{pia.service.id}"/>
				</h:link>
			</p:column>			
			<p:column sortBy="#{pia.status}" filterBy="#{pia.status}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.status}" />
				</f:facet>
				<h:outputText value="#{pia.status}" />
			</p:column>
		</p:dataTable>
		
	</h:form>
	</ui:define>
</ui:composition>
</f:view>
</body>
</html>
